/*
   inet6_xtoy.h 
   
   Declaration of inet6_aton() & inet6_ntoa().

   Copyright (C) 2001   Andrey Savochkin (saw@saw.sw.com.sg)
                        Maxim Shesterikov (libraftp@narod.ru)

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version 2
   of the License, or any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston,
   MA  02111-1307, USA.
*/
/* $Id: inet6_xtoy.h,v 1.3 2002/05/18 05:50:02 shesmax Exp $ */

#ifndef GUARD_INET6_ATON_H

/* inet6_aton() converts the Internet host address as from one of standard
 * notations into binary data and stores it  in the structure that addr points
 * to. inet6_aton() returns nonzero if the address is valid, zero if not. */
struct int6_addr;
int inet6_aton( char *as, struct in6_addr *addr );
   
/* The  inet6_ntoa()  function  converts  the  Internet  host address addr
 * given in network byte order to a string that is stored in a memory block
 * that buf points to. sz defines the size of this memory block. */
int inet6_ntoa( struct in6_addr *addr, char *buf, size_t sz );

#endif
