/*
	libra.h

	Server behavior and information about it.

   Copyright (C) 1999   Andrey Savochkin (saw@saw.sw.com.sg)
                        Maxim Shesterikov (libraftp@narod.ru)

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version 2
   of the License, or any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston,
   MA  02111-1307, USA.
*/
/* $Id: libra.h,v 1.13 2006/06/13 22:12:34 shesmax Exp $ */

#ifndef __GUARD_LIBRA_H
#define __GUARD_LIBRA_H

/* Returns RC_TRUE if server is set to read-only mode from the command line */
extern int ReadOnlyBehavior();

/* Returns RC_TRUE if server is set to "backend" mode from the command line */
extern int Backend();

/* Returns RC_TRUE if client has sent OPTS UTF8 ON command. This non-standard
 * command is sent by MS IE and indicates desire to get UTF8-encoded names in
 * response to LIST command. */
int ClientIsMSIE();

/* FIXME */
extern int nAsciiBufSize;

/*
 * Miscellaneous 
 */

/* A shortcut to GNU C __attribute__ to avoid unused parameter warning. */
#define UNUSED_PARAM __attribute__(( __unused__ ))

#endif
