Summary: Anonymous FTP server for Linux
Name: libra-ftpd
Version: 1.3
Release: 4
Copyright: GPL
Group: Networking
Source: http://libraftp.narod.ru/libra-ftpd-1.3.4.tgz
URL: http://libraftp.narod.ru/index.html
Packager: Maxim Shesterikov (libraftp@narod.ru)

%description
The Libra FTP daemon is an anonymous FTP server for Linux. 
It supports both IPv4 and IPv6 address families. 
  
The server is compliant with the following Internet documents:
   * RFC  959  FILE TRANSFER PROTOCOL (FTP)
   * RFC 1123  Requirements for Internet Hosts -- Application and Support
   * RFC  854  TELNET PROTOCOL SPECIFICATION
   * RFC 1579  Firewall-Friendly FTP
   * RFC 2389  Feature negotiation mechanism for the File Transfer Protocol
   * RFC 2428  FTP Extentions for IPv6 and NATs
   * RFC 2577  FTP Security Considerations
   * RFC 2640  Internationalization of the File Transfer Protocol

%prep
rm -rf $RPM_BUILD_DIR/libra-ftpd-$RPM_PACKAGE_VERSION.$RPM_PACKAGE_RELEASE
tar x --directory $RPM_BUILD_DIR -zf $RPM_SOURCE_DIR/libra-ftpd-$RPM_PACKAGE_VERSION.$RPM_PACKAGE_RELEASE.tgz

%build
cd $RPM_BUILD_DIR/libra-ftpd-$RPM_PACKAGE_VERSION.$RPM_PACKAGE_RELEASE
make 

%install
cp $RPM_BUILD_DIR/libra-ftpd-$RPM_PACKAGE_VERSION.$RPM_PACKAGE_RELEASE/ftps /usr/sbin
cp $RPM_BUILD_DIR/libra-ftpd-$RPM_PACKAGE_VERSION.$RPM_PACKAGE_RELEASE/ftps.man /usr/share/man/man8

%clean
rm -rf $RPM_BUILD_DIR/libra-ftpd-$RPM_PACKAGE_VERSION.$RPM_PACKAGE_RELEASE

%files
%doc $RPM_BUILD_DIR/libra-ftpd-$RPM_PACKAGE_VERSION.$RPM_PACKAGE_RELEASE/README
%doc $RPM_BUILD_DIR/libra-ftpd-$RPM_PACKAGE_VERSION.$RPM_PACKAGE_RELEASE/ftps*.html
%doc $RPM_BUILD_DIR/libra-ftpd-$RPM_PACKAGE_VERSION.$RPM_PACKAGE_RELEASE/approaches*.html
/usr/sbin/ftps
/usr/share/man/man8/ftps.man

%changelog
* Mon Apr 28 2003 Maxim Shesterikov <libraftp@narod.ru>
- Added support for RFC 2640
- Version 1.3.4

* Fri May 3 2002 Maxim Shesterikov <libraftp@narod.ru>
- Fixed bug in EPSV

* Fri May 3 2002 Maxim Shesterikov <libraftp@narod.ru>
- Improved IPv6 support
- Bug fixes
- Improved Telnet compliance for control connection

* Sat May 5 2001 Maxim Shesterikov <libraftp@narod.ru>
- Version 1.3

* Tue Sep 12 2000 Maxim Shesterikov <libraftp@narod.ru>
- Build directory is now libra-ftpd-<version>, not libra-<version>

* Tue Sep 12 2000 Maxim Shesterikov <libraftp@narod.ru>
- Build directory is now libra-<version>, not libra

* Tue Sep 05 2000 Maxim Shesterikov <libraftp@narod.ru>
- New release - 1.1
- Removed Requires

* Thu Aug 17 2000 Maxim Shesterikov <libraftp@narod.ru>
- Removed bogus changelog entries
- Changed the installation directory for /usr/sbin instead of /usr/local/bin

* Tue Aug 15 2000 Maxim Shesterikov <libraftp@narod.ru>
- Build root
