/*
	listdir.h

	Enumerates all file system entries that match to the given pattern name.

   Copyright (C) 1999   Andrey Savochkin (saw@saw.sw.com.sg)
                        Maxim Shesterikov (libraftp@narod.ru)

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version 2
   of the License, or any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston,
   MA  02111-1307, USA.
*/	
/* $Id: listdir.h,v 1.7 2002/05/18 05:50:02 shesmax Exp $ */

#ifndef __GUARD_LISTDIR_H
#define __GUARD_LISTDIR_H

/* This callback function is invoked for every entry to list 
	Parameters:
	n 		full-qualified name of the entry 
	s		file type, file times, file size etc.
	p		arbitrary, caller-defined value */
struct stat;
typedef int (*LsCallback)( const char* n, const struct stat* s, void* p );
	
/* Enumerates all file system entries that match to the given pattern name.
	For these entries invokes pfCallback function with the caller-defined
	parameter param. */
extern int Ls( char* sPath, LsCallback pfCallback, void* param );

#endif
